package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFIZ2 extends MwfRequest<MWFIZ2, MWFIZ2Response> {

    @Parameter(name = "APP_KEY")
    MWFIZ2 appKey(Long appKey);
    @Parameter(name = "AccountNumber")
    MWFIZ2 accountNumber(String accountNumber);
    @Parameter(name = "INST_PT_KEY")
    MWFIZ2 instPtKey(Long instPtKey);
    @Parameter(name = "PPIType")
    MWFIZ2 pPIType(String pPIType);
    @Parameter(name = "RegularInstalmentDay")
    MWFIZ2 regularInstalmentDay(Long regularInstalmentDay);
    @Parameter(name = "UserRole")
    MWFIZ2 userRole(String userRole);
    @Parameter(name = "User_SSO")
    MWFIZ2 userSSO(String userSSO);
}
